%define prefix /usr
%define name checkmp3
%define version 1.98
%define release %mkrel 2
%define url https://sourceforge.net/project/?group_id=6126

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Patch1:		%{name}_error-messages.patch
Summary:	mp3_check helps to identify in explicit detail MP3s
Summary(de):	Identifiziert MP3s, die nicht dem MP3-Format folgen
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	%name < %version

%description
mp3_check helps to identify in explicit detail MP3s that do not correctly 
follow the MP3 format. It also looks for invalid frame headers, missing 
frames, etc., and generates useful statistics. This can be useful when 
building a high-quality mp3 archive...

#german
%description -l de
mp3_check untersucht MP3-Dateien und meldet detailliert Regelverstöße. 
Es sucht auch nach fehlenden Datenrahmen, ungültigen Rahmenheadern und 
so weiter. Nebenbei gibt es nützliche Statistiken aus. Das Programm ist 
hilfreich beim Aufbau von MP3-Archiven in hoher Qualität... 

%prep

%setup -q -n %{name}-%{version}

%patch1 -p1

%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%_bindir
install -s -m 755 mp3_check $RPM_BUILD_ROOT/%_bindir/


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/mp3_check
%doc README WISHLIST THANKYOU MY_NOTES NOTES TODO MILESTONE GOALS FOR_TESTING MILESTONE.INTRO

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Sep 06 2016 adrianomorselli <adrianomorselli> 1.98-2uplos2011
- rebuild

* Sun Oct 09 2011 leiche <meisssw01 at gmail.com> 1.98-2leiche2011
- build for 64 bit
- add error-messages.patch, Thanks goes on Debian

* Tue May 17 2011 leiche <meisssw01 at gmail.com> 1.98-1leiche2011
- import to pclinuxos 
